Package org.eclipse.microprofile.lra

# Class LRAResponse

java.lang.Object
org.eclipse.microprofile.lra.LRAResponse

public final class LRAResponse extends Object
The utility class that will create the correct `Response` or `Response.ResponseBuilder` for the response that should be returned from the LRA JAX-RS methods.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`LRAResponse.Builder`

## Method Summary

Modifier and Type
Method
Description
`static jakarta.ws.rs.core.Response`
`compensated()`
`static jakarta.ws.rs.core.Response`
`compensated(Object entity)`
`static jakarta.ws.rs.core.Response`
`compensating()`
`static jakarta.ws.rs.core.Response`
`compensating(Object entity)`
`static jakarta.ws.rs.core.Response`
`completed()`
`static jakarta.ws.rs.core.Response`
`completed(Object entity)`
`static jakarta.ws.rs.core.Response`
`completing()`
`static jakarta.ws.rs.core.Response`
`completing(Object entity)`
`static jakarta.ws.rs.core.Response`
`failedToCompensate()`
`static jakarta.ws.rs.core.Response`
`failedToCompensate(Object entity)`
`static jakarta.ws.rs.core.Response`
`failedToComplete()`
`static jakarta.ws.rs.core.Response`
`failedToComplete(Object entity)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### compensated

public static jakarta.ws.rs.core.Response compensated()

### compensated

public static jakarta.ws.rs.core.Response compensated(Object entity)

### compensating

public static jakarta.ws.rs.core.Response compensating()

### compensating

public static jakarta.ws.rs.core.Response compensating(Object entity)

### failedToCompensate

public static jakarta.ws.rs.core.Response failedToCompensate()

### failedToCompensate

public static jakarta.ws.rs.core.Response failedToCompensate(Object entity)

### completed

public static jakarta.ws.rs.core.Response completed()

### completed

public static jakarta.ws.rs.core.Response completed(Object entity)

### completing

public static jakarta.ws.rs.core.Response completing()

### completing

public static jakarta.ws.rs.core.Response completing(Object entity)

### failedToComplete

public static jakarta.ws.rs.core.Response failedToComplete()

### failedToComplete

public static jakarta.ws.rs.core.Response failedToComplete(Object entity)